## org.exist.security.xacml
Class XACMLSource

    java.lang.Object
      org.exist.security.xacml.XACMLSource

public class XACMLSource
extends java.lang.Object

This class represents the source of some content. It has a key, which uniquely identifies this source within its type. For possible type values, see `XACMLConstants`.

Method Summary
`java.lang.String` `createId()`
`static XACMLSource` `getInstance(java.lang.Class source)`
`static XACMLSource` `getInstance(Source source)`
`static XACMLSource` `getInstance(java.lang.String sourceClassName)`
`java.lang.String` `getKey()`
`java.lang.String` `getType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static XACMLSource getInstance(java.lang.Class source)

### getInstance

    public static XACMLSource getInstance(java.lang.String sourceClassName)

### getInstance

    public static XACMLSource getInstance(Source source)

### getType

    public java.lang.String getType()

### getKey

    public java.lang.String getKey()

### createId

    public java.lang.String createId()

Copyright (C) Wolfgang Meier. All rights reserved.